This is an automated email from the git hooks/post-receive script.

gregoa pushed a commit to branch master
in repository libffi-checklib-perl.

commit a3f04c2e90991e609c414d643db0cd286d9e1ac2
Author: gregor herrmann <gre...@debian.org>
Date:   Sun Jun 26 15:26:02 2016 +0200

    fix TODOs myself, since we need this package
    
    for libmessage-passing-zeromq-perl
    
    Gbp-Dch: Ignore
---
 debian/changelog         | 34 ----------------------------------
 debian/control           | 24 +++++++++++++-----------
 debian/copyright         |  5 +++--
 debian/upstream/metadata |  2 +-
 4 files changed, 17 insertions(+), 48 deletions(-)

diff --git a/debian/changelog b/debian/changelog
index 031d9de..8c00fac 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,39 +1,5 @@
 libffi-checklib-perl (0.15-1) UNRELEASED; urgency=low
 
-  TODO:
-  - debian/upstream/metadata: Repository should use https://
-    fix: [0]
-  - debian/copyright:
-    + Format should use https://
-    + missing year(s) of upstream copyright
-    fix: [1]
-  - debian/control:
-    + wrong Maintainer/Uploader, cf. [2], fix: [3]
-    + missing Vcs-* headers, cf. [2], fix: [3]
-    + B-D-I: perl (>= 5.11.1): version not needed, even oldstable has 5.14
-      fix: [3]
-    + missing "Testsuite: autopkgtest-pkg-perl", cf. [4], fix: [3]
-    + short description: should be a noun phrase and start with a small letter
-      fix: manual
-    + long description:
-      * I'd drop the last sentence
-      * a find_lib|FFI::CheckLib#find_lib function -> a find_lib() function
-      fix: manual
-  - debian/changelog: s/jessie/unstable/
-    (or now: s/UNRELEASED/unstable/)
-
-  [0] re-run `dpt debian-upstream' from pkg-perl-tools in unstable
-      or change it manually
-  [1] manually. (`dh-make-perl refresh --only copyright' adds the year,
-      the version from git also the https:// but both add boilerplate as well
-  [2] https://pkg-perl.alioth.debian.org/policy.html#debian_control_handling
-  [3] with dh-make-perl from unstable:
-      `dh-make-perl refresh --pkg-perl --dist unstable --only control'
-      plus `cme migrate dpkg-control'
-      [plus `cme fix dpkg-control' - probably not needed]
-      (with cme from unstable)
-  [4] https://pkg-perl.alioth.debian.org/autopkgtest.html
-
   * Initial Release. (Closes: #814274)
 
  -- C.J. Collier <cjcoll...@linuxfoundation.org>  Sat, 4 Jun 2016 20:04:13 
-0400
diff --git a/debian/control b/debian/control
index 5a1f884..56816ef 100644
--- a/debian/control
+++ b/debian/control
@@ -1,25 +1,27 @@
 Source: libffi-checklib-perl
+Maintainer: Debian Perl Group <pkg-perl-maintain...@lists.alioth.debian.org>
+Uploaders: C.J. Collier <cjcoll...@linuxfoundation.org>,
+           gregor herrmann <gre...@debian.org>
 Section: perl
+Testsuite: autopkgtest-pkg-perl
 Priority: optional
-Maintainer: C.J. Collier <cjcoll...@linuxfoundation.org>
 Build-Depends: debhelper (>= 9)
-Build-Depends-Indep: perl (>= 5.11.1)
+Build-Depends-Indep: perl
 Standards-Version: 3.9.8
+Vcs-Browser: 
https://anonscm.debian.org/cgit/pkg-perl/packages/libffi-checklib-perl.git
+Vcs-Git: 
https://anonscm.debian.org/git/pkg-perl/packages/libffi-checklib-perl.git
 Homepage: https://metacpan.org/release/FFI-CheckLib
 
 Package: libffi-checklib-perl
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends}
-Description: Check that a library is available for FFI
+Depends: ${misc:Depends},
+         ${perl:Depends}
+Description: module to check availability of a library for FFI
  FFI::CheckLib checks whether a particular dynamic library is available for
  FFI to use. It is modeled heavily on Devel::CheckLib, but will find dynamic
  libraries even when development packages are not installed. It also provides
- a find_lib|FFI::CheckLib#find_lib function that will return the full path to
- the found dynamic library, which can be feed directly into FFI::Platypus or
- FFI::Raw.
+ a find_lib function that will return the full path to the found dynamic
+ library, which can be feed directly into FFI::Platypus or FFI::Raw.
  .
  Although intended mainly for FFI modules via FFI::Platypus and similar, this
- module does not actually use any FFI to do its detection and probing. This
- modules does not have any non-core dependencies on Perls 5.8-5.18. On Perl
- 5.20 and newer it has a configure, build and test dependency on
- Module::Build.
+ module does not actually use any FFI to do its detection and probing.
diff --git a/debian/copyright b/debian/copyright
index 4f49734..47c6d5b 100644
--- a/debian/copyright
+++ b/debian/copyright
@@ -1,14 +1,15 @@
-Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
 Source: https://metacpan.org/release/FFI-CheckLib
 Upstream-Contact: Graham Ollis <plice...@cpan.org>
 Upstream-Name: FFI-CheckLib
 
 Files: *
-Copyright: Graham Ollis <plice...@cpan.org>
+Copyright: 2014, Graham Ollis <plice...@cpan.org>
 License: Artistic or GPL-1+
 
 Files: debian/*
 Copyright: 2016, C.J. Collier <cjcoll...@linuxfoundation.org>
+ 2016, gregor herrmann <gre...@debian.org>
 License: Artistic or GPL-1+
 
 License: Artistic
diff --git a/debian/upstream/metadata b/debian/upstream/metadata
index 138327e..a074940 100644
--- a/debian/upstream/metadata
+++ b/debian/upstream/metadata
@@ -3,5 +3,5 @@ Archive: CPAN
 Bug-Database: https://github.com/plicease/FFI-CheckLib/issues
 Contact: Graham Ollis <plice...@cpan.org>
 Name: FFI-CheckLib
-Repository: git://github.com/plicease/FFI-CheckLib.git
+Repository: https://github.com/plicease/FFI-CheckLib.git
 Repository-Browse: https://github.com/plicease/FFI-CheckLib

-- 
Alioth's /usr/local/bin/git-commit-notice on 
/srv/git.debian.org/git/pkg-perl/packages/libffi-checklib-perl.git

_______________________________________________
Pkg-perl-cvs-commits mailing list
Pkg-perl-cvs-commits@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-perl-cvs-commits

Reply via email to